#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( file_templates )
add_subdirectory( app_templates )
add_subdirectory( doc )

# FIXME KDE_CXXFLAGS = $(USE_EXCEPTIONS)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/util
  ${CMAKE_SOURCE_DIR}/lib/antlr
  ${CMAKE_SOURCE_DIR}/lib/catalog
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kdevjavasupport.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevjavasupport.rc DESTINATION ${DATA_INSTALL_DIR}/kdevjavasupport )


##### libkdevjavasupport (module) ###############

tde_add_kpart( libkdevjavasupport AUTOMOC
  SOURCES
    JavaLexer.cpp KDevJavaSupportIface.cpp
    javasupportfactory.cpp JavaRecognizer.cpp
    backgroundparser.cpp configproblemreporter.ui
    javasupportpart.cpp JavaStoreWalker.cpp
    javasupport_utils.cpp problemreporter.cpp driver.cpp
    kdevdriver.cpp KDevJavaSupportIface.skel
  LINK antlr-static kdevcatalog-shared tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
